curl --request GET \
--url https://api.dataspike.io/api/v3/verifications/{verification_id} \
--header 'ds-api-token: <api-key>'import requests
url = "https://api.dataspike.io/api/v3/verifications/{verification_id}"
headers = {"ds-api-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'ds-api-token': '<api-key>'}};
fetch('https://api.dataspike.io/api/v3/verifications/{verification_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"applicant_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"checks": {
"document_mrz": {
"data": {
"document_type": "P",
"country": "DEU",
"name": "John",
"surname": "Doe",
"doc_number": "P-1234567890",
"nationality": "DEU",
"birth_date": "1983-03-21",
"sex": "M",
"expiry_date": "2021-02-24"
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"face_comparison": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"poa": {
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
},
"liveness": {
"data": {
"estimated_age": 37,
"age_interval": [
32,
45
]
},
"pending_documents": [],
"errors": [
{
"code": 1001,
"message": "document parsing failed"
}
]
}
},
"created_at": "2023-07-18T15:32:13.000Z",
"verification_url": "https://am.dataspike.io/VDBA1B2EA6A28A7D2",
"verification_url_id": "VDBA1B2EA6A28A7D2",
"expires_at": "2023-07-18T15:32:13.000Z",
"is_sandbox": false,
"profile_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11",
"settings": {
"poi_required": true,
"poi_allowed_documents": [],
"face_comparison_required": true,
"face_comparison_allowed_documents": [],
"poa_required": false,
"allow_poi_manual_uploads": false,
"allow_desktop": false,
"disable_cross_check_by_bio": false,
"disable_cross_check_by_photo": false,
"disable_verify_poa_country_match_with_poi": false,
"countries": [
"FR"
],
"ui_settings": {},
"manual_field_settings": {
"enabled": true,
"description": "<string>",
"full_name": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"email": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"phone": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"country": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"dob": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"gender": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"citizenship": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"address": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"certificate_of_incorporation": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"ownership_document": {
"enabled": true,
"caption": "<string>",
"order": 123,
"optional": true
},
"custom_fields": [
{
"label": "<string>",
"caption": "<string>",
"order": 123,
"options": {
"choices": [
"<string>"
],
"type": "<string>"
}
}
]
},
"finish_screen_settings": {
"enabled": true,
"settings": {
"title": "<string>",
"main_text": "<string>",
"redirect_warning": "<string>",
"cta": "<string>",
"redirect_link": "<string>"
}
}
},
"documents": [
{
"document_id": "01827ed4-c928-7a3c-9a30-7ab7cc169d11"
}
],
"completed_at": "2023-07-18T15:32:13.000Z",
"poi_data": {
"has_mrz": true,
"raw_mrz_type": "P",
"country": "DEU",
"full_name": "John Doe",
"name": "John",
"surname": "Doe",
"document_number": "P-1234567890",
"nationality": "DEU",
"birth_date": "1983-03-21",
"sex": "M",
"expiry_date": "2021-02-24",
"issue_date": "2021-02-24",
"pin": "<string>",
"card_number": "<string>",
"license_number": "<string>",
"license_type": "<string>",
"license_class": "<string>",
"cpf_number": "<string>",
"vin": "<string>",
"nin": "<string>",
"occupation": "<string>",
"polling_unit": "<string>",
"region": "<string>",
"restrictions": "<string>",
"height": "<string>",
"registration_date": "<string>",
"parents_names": "<string>",
"endorsements": "<string>",
"middle_name": "William",
"patronymic_name": "Ivanovich",
"name_local": "Иван",
"surname_local": "Иванов",
"middle_name_local": "<string>",
"patronymic_name_local": "Иванович",
"doc_type_local": "<string>",
"place_of_birth": "<string>",
"place_of_birth_local": "<string>",
"issuing_authority": "<string>",
"issuing_authority_local": "<string>",
"address": "<string>",
"address_local": "<string>",
"document_discriminator": "<string>",
"code": "<string>",
"can": "<string>",
"eyes_color": "<string>",
"hair_color": "<string>",
"weight": "<string>",
"blood_group": "<string>",
"citizenship": "<string>",
"ssrn": "<string>",
"civil_status": "<string>",
"residence_certificate_number": "<string>",
"visa_type": "<string>",
"visa_issue_date": "<string>",
"visa_expiry_date": "<string>",
"petitioner": "<string>"
},
"aml_search_id": "d358ace9-9e35-42cd-b8b7-837c1005d2f5",
"manual_fields": {
"full_name": "<string>",
"email": "<string>",
"phone": "<string>",
"country": "<string>",
"dob": "<string>",
"citizenship": "<string>",
"address": "<string>",
"custom_fields": {}
},
"custom_files": {}
}Get Existing Verification
Retrieve detailed information about an existing verification by providing their unique Verification ID as a URL parameter.
Authorizations
Path Parameters
Fetch Verification by ID
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
Response
Verification Information
Create Verification Response
Id of created verification
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
Id of applicant verification is linked to
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
The First verification status is initial.
Second one is pending, when some documents are uploaded to verification or applicant of verification, but not all required documents are uploaded.
When all documents are uploaded and verification has been proceeded by api (https://docs.dataspike.io/api#tag/Verifications/operation/proceed-verification) or web sdk status becomes to in_progress.
After in_progress status can be both verified or failed depending on the verification result.
Transition to canceled status can be from any status if verification was canceled, except verified and failed.
Transition to expired status can be from any status if verification has expired, except verified, in_progress and failed.

initial, pending, in_progress, verified, failed, canceled, expired Object describes required checks and it`s current status
Show child attributes
Show child attributes
Verification creation timestamp
"2023-07-18T15:32:13.000Z"
Verification url that can be provided to the end user to perform online verification
"https://am.dataspike.io/VDBA1B2EA6A28A7D2"
Verification short id
"VDBA1B2EA6A28A7D2"
Verification expiration timestamp
"2023-07-18T15:32:13.000Z"
Flag indicates that verification is created in sandbox env
Verification profile id
"01827ed4-c928-7a3c-9a30-7ab7cc169d11"
Verification profile settings
Show child attributes
Show child attributes
List of prodived documents
Show child attributes
Show child attributes
Time of completion
"2023-07-18T15:32:13.000Z"
Show child attributes
Show child attributes
AML search id operation
"d358ace9-9e35-42cd-b8b7-837c1005d2f5"
Custom fields values
Show child attributes
Show child attributes
Mapping of custom field labels to uploaded document info
Show child attributes
Show child attributes